# -*- coding: utf-8 -*-
# Generated by Django 1.11.11 on 2018-05-02 07:28
from __future__ import unicode_literals

from django.db import migrations, models
import uuid

def forwards(apps, schema_editor):
    model = apps.get_model('consensus_base', 'poll')
    for o in model.objects.all():
        o.uuid = uuid.uuid4()
        o.save()
    model = apps.get_model('consensus_base', 'pollquestion')
    for o in model.objects.all():
        o.uuid = uuid.uuid4()
        o.save()


class Migration(migrations.Migration):

    dependencies = [
        ('consensus_base', '0003_pollquestion_order'),
    ]

    operations = [
        migrations.AddField(
            model_name='poll',
            name='uuid',
            field=models.UUIDField(default=uuid.uuid4, editable=False),
        ),
        migrations.AddField(
            model_name='pollquestion',
            name='uuid',
            field=models.UUIDField(default=uuid.uuid4, editable=False),
        ),
        migrations.RunPython(forwards, migrations.RunPython.noop),
    ]

    
